Remove FileItemActionPlugin
ClosedPublic

Authored by nicolasfella on Sun, Jul 8, 1:42 PM.

Details

Summary

It is superseeded by the Purpose integration in Dolphin

Test Plan

Build & install. No Send via KDE Connect in Dolphin context menu

Diff Detail

Repository
R224 KDE Connect
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
nicolasfella created this revision.Sun, Jul 8, 1:42 PM
Restricted Application added a project: KDE Connect. · View Herald TranscriptSun, Jul 8, 1:42 PM
Restricted Application added a subscriber: kdeconnect. · View Herald Transcript
nicolasfella requested review of this revision.Sun, Jul 8, 1:42 PM

Is there/should there be any provision to remove it if it's already installed? Or is that something that distros should/would/will take care of for us? If not, I worry that people with KDE Connect already installed will see duplicates.

Is there/should there be any provision to remove it if it's already installed? Or is that something that distros should/would/will take care of for us? If not, I worry that people with KDE Connect already installed will see duplicates.

I don't know if the file will be removed when the package is updated. Maybe @arojas or somebody from Kubuntu can help us here.

Sure it will, at least in all packaging systems I know of. The issue here is the time between one update and the other one, when there would be two plugins (if purpose is updated first) or none (if kdeconnect is updated first). I'd suggest to bump KF5_MIN_VERSION to 5.48 to at least prevent the latter.

Sure it will, at least in all packaging systems I know of. The issue here is the time between one update and the other one, when there would be two plugins (if purpose is updated first) or none (if kdeconnect is updated first). I'd suggest to bump KF5_MIN_VERSION to 5.48 to at least prevent the latter.

Thanks! The purpose part is already released, so I guess the second case will only be relevant for people who self-compile KDE Connect with an older Purpose version.

Thanks! The purpose part is already released, so I guess the second case will only be relevant for people who self-compile KDE Connect with an older Purpose version.

Or for distros that don't update Frameworks but offer new versions of kdeconnect in backports

apol accepted this revision.Thu, Jul 12, 1:12 PM
This revision is now accepted and ready to land.Thu, Jul 12, 1:12 PM
This revision was automatically updated to reflect the committed changes.